# -*- encoding: utf-8 -*-
# stub: chefspec 9.3.7 ruby lib

Gem::Specification.new do |s|
  s.name = "chefspec".freeze
  s.version = "9.3.7"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Andrew Crump".freeze, "Seth Vargo".freeze]
  s.date = "2024-02-07"
  s.description = "ChefSpec is a unit testing and resource coverage (code coverage) framework for testing Chef cookbooks ChefSpec makes it easy to write examples and get fast feedback on cookbook changes without the need for virtual machines or cloud servers.".freeze
  s.email = ["andrew.crump@ieee.org".freeze, "sethvargo@gmail.com".freeze]
  s.homepage = "https://github.com/chef/chefspec".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.5".freeze)
  s.rubygems_version = "3.3.25".freeze
  s.summary = "Write RSpec examples and generate coverage reports for Chef recipes!".freeze

  s.installed_by_version = "3.3.25" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<chef>.freeze, [">= 15"])
    s.add_runtime_dependency(%q<chef-cli>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<fauxhai-chef>.freeze, [">= 9.3"])
    s.add_runtime_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_runtime_dependency(%q<rspec-expectations>.freeze, ["<= 3.12.3"])
  else
    s.add_dependency(%q<chef>.freeze, [">= 15"])
    s.add_dependency(%q<chef-cli>.freeze, [">= 0"])
    s.add_dependency(%q<fauxhai-chef>.freeze, [">= 9.3"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_dependency(%q<rspec-expectations>.freeze, ["<= 3.12.3"])
  end
end
